## devicetype-detect 0.03

=== Makefile ===
#! /usr/bin/make -f

VERSION?=UNRELEASED
MODULES:=devicename-detect devicetype-detect
SCRIPTS=$(foreach module,${MODULES},${module}.sh)


all: ${SCRIPTS}

%.sh: %.in
	sed -e "s/@VERSION@/${VERSION}/" < $< > $@

clean:
	-rm -r ${SCRIPTS}

install: ${SCRIPTS}
	install -D -m 755 devicename-detect.sh \
	    ${DESTDIR}/usr/bin/devicename-detect
	install -D -m 755 devicetype-detect.sh \
	    ${DESTDIR}/usr/bin/devicetype-detect

.PHONY: all clean install

## devicetype-detect 0.01

=== debian/changelog ===
devicetype-detect (0.01) natty; urgency=low

  * Initial release.

 -- Emmet Hikory <persia@ubuntu.com>  Fri, 19 Nov 2010 03:28:01 +0900

=== debian/control ===
Source: devicetype-detect
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: devicetype-detect
Architecture: all
Depends: ${misc:Depends}
Recommends: dmidecode (>> 2.7)
Description: attempt to detect the type of the current device
 devicetype-detect attempts to determine device class of the running
 system based on the display size, display resolution, and presence or
 absence of a battery.

## devicetype-detect 0.03

=== debian/changelog ===
devicetype-detect (0.03) oneiric; urgency=low

  * devicetype-detect.in: Fix sed expression for i386/amd64 apple laptops
  * devicetype-detect.in: Uncomment and fix /proc ACPI tests

 -- Emmet Hikory <persia@ubuntu.com>  Fri, 29 Jul 2011 07:57:01 +0900

devicetype-detect (0.02) oneiric; urgency=low

  * devicetype-detect.in: Wrap xrandr calls in conditionals (LP: #702416)
  * devicetype-detect.in: Syntax cleanups when battery is detected
  * devicename-detect.in: don't use -e: shell doesn't notice all the tests
  * devicename-detect.in: clean up missing ports analysis
  * debian/control: Update description to promote devicename-detect
  * debian/control: Add Suggests for x11-xserver-utils for xrandr
  * Bump standards to 3.9.2 (no changes)

 -- Emmet Hikory <persia@ubuntu.com>  Fri, 29 Jul 2011 02:17:02 +0900

=== debian/rules ===
#!/usr/bin/make -f

export VERSION:=$(shell dpkg-parsechangelog \
               | grep Version: \
               | sed 's/^Version: \(.*\)/\1/g')

%:
	dh $@

## devicetype-detect 0.03build1

=== debian/changelog ===
devicetype-detect (0.03build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:44:31 +0000

=== debian/control ===
Source: devicetype-detect
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2

Package: devicetype-detect
Architecture: all
Depends: ${misc:Depends}
Recommends: dmidecode (>> 2.7)
Suggests: x11-xserver-utils (>> 7.4+2)
Description: attempt to detect the type of the current device
 devicetype-detect attempts to determine device class of the running
 system based on the display size, display resolution, and presence or
 absence of a battery.
 .
 devicename-detect attempts to determine the name of the device, to the
 best knowledge of the device itself, for use as a sensible default model
 name.

## devicetype-detect 0.03build2

=== debian/changelog ===
devicetype-detect (0.03build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 21:47:19 +0000
